Package com.smartgwt.client.widgets.calendar

# Class ShowEventCustomizer

java.lang.Object
com.smartgwt.client.widgets.calendar.ShowEventCustomizer

public abstract class ShowEventCustomizer extends Object
Called to determine whether a particular event should be visible in the passed view

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShowEventCustomizer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `executeDefault(CalendarEvent event, CalendarView calendarView)`
  Call executeDefault() to run the original method for default behavior
  `Calendar`
  `getCalendar()`
  Returns the Calendar being customized
  `void`
  `setCalendar(Calendar calendar)`
  `abstract boolean`
  `shouldShowEvent(CalendarEvent event, CalendarView calendarView)`
  shouldShowEvent() should be implemented and return true if the passed event should be visible in the passed view Use executeDefault() to run the original method to fall back on default behavior.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ShowEventCustomizer

    public ShowEventCustomizer()

- ## Method Details

  - ### setCalendar

    public void setCalendar(Calendar calendar)

  - ### getCalendar

    public Calendar getCalendar()
    Returns the Calendar being customized
    Returns:
      Calendar being customized

  - ### executeDefault

    public boolean executeDefault(CalendarEvent event, CalendarView calendarView)
    Call executeDefault() to run the original method for default behavior

  - ### shouldShowEvent

    public abstract boolean shouldShowEvent(CalendarEvent event, CalendarView calendarView)
    shouldShowEvent() should be implemented and return true if the passed event should be visible in the passed view Use executeDefault() to run the original method to fall back on default behavior. To access the Calendar itself, call getCalendar() on the event or the calendarView.
    Parameters:
      `event` - the event in question
      `calendarView` - the view in which the event will appear
    Returns:
      true if the event should be rendered in the passed view, or false otherwise